# $Revision: 1.47 $, $Date: 2003/12/01 02:01:38 $
Summary:	Library for reading/writing GNUstep-style defaults databases
Summary(pl):	Biblioteka do odczytu i zapisu bazy danych ustawie w stylu GNUstepa
Summary(ru):	  /     GNUstep
Summary(uk):	̦  /    ̦ GNUstep
Name:		libPropList
Version:	0.10.1
Release:	12
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
# Source0-md5:	ff32a4edbf9d0861012b2f10fd302ad5
URL:		http://www.windowmaker.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libPropList library, hereafter referred to as PL, uses an opaque
data type to represent a tree structure made of strings, data blocks,
arrays and dictionaries (key-value pair lists). This structure can be
manipulated, written out to and read in from a file, and synchronized
with the contents of a file. The purpose of PL is to closely mimick
the behaviour of the property lists used in GNUstep/OPENSTEP (there
formed with the NSString, NSData, NSArray and NSDictionary classes)
and to be compatible with it. PL enables programs that use
configuration or preference files to make these compatible with
GNUstep/OPENSTEP's user defaults handling mechanism, without needing
to use Objective-C or GNUstep/OPENSTEP themselves.

%description -l es
Biblioteca para acceder a base de datos GNUstep-style.

%description -l pl
Biblioteka libPropList, okrelana tu jako PL, uywa ukrytego typu
danych do reprezentacji struktury drzewiastej stworzonej z acuchw,
blokw danych, tablic i sownikw (list par klucz-warto). Struktura
ta moe by modyfikowana, zapisywana i wczytywana z pliku oraz
synchronizowana z zawartoci pliku. Celem PL jest bliskie
naladowanie zachowania list wasnoci uywanych w GNUstepie i
OPENSTEPie (uformowanych w klasy NSString, NSData, NSArray i
NSDictionary) i kompatybilno z nimi. PL umoliwia programom
uywajcym plikw z konfiguracj lub ustawieniami by kompatymilnymi z
mechanizmem obsugi ustawie GNUstepa/OPENSTEPa, bez potrzeby uywania
jzyka Objective-C ani samego GNUstepa/OPENSTEPa.

%description -l pt_BR
Biblioteca para acessar base de dados GNUstep-style.

%description -l ru
 libPropList,  PL,    
     ,  ,
   (  -).   
,       ,
   .  PL -  
   GNUstep/OPENSTEP     . PL
 ,     
,       
 GNUstep/OPENSTEP   
Objective-C  GNUstep/OPENSTEP.

%description -l uk
̦ libPropList, ̦ PL, դ Ҧ  
  ϧ  ˦ ̦, ˦
, צ  ˦ (˦  -). 㦤
  Φ,       
 Φ  ͦ .  PL -  Ħ
˦   GNUstep/OPENSTEP   ͦ  . PL
Ѥ ,    Ʀæ 
 ,   ͦ  Φ 
 ަ GNUstep/OPENSTEP  ȦԦ
 Objective-C  GNUstep/OPENSTEP.

%package devel
Summary:	Header files for libPropList library
Summary(es):	Archivos de inclusin para libPropList
Summary(pl):	Pliki nagwkowe biblioteki libPropList
Summary(pt_BR):	Arquivos de incluso para o libPropList
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the headers that programmers will need to
develop applications which will use libPropList.

%description devel -l es
Este paquete contiene los archivos de inclusin que se necesitan
para desarrollar programas que usan libPropList.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe niezbdne do tworzenia aplikacji
korzystajcych z biblioteki libPropList.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso que so necessrios para
desenvolver programas que usam o libPropList.

%description devel -l ru
   .h    , 
libPropList.

%description devel -l uk
  ͦ .h    , ˦ 
libPropList.

%package static
Summary:	Static libPropList library
Summary(es):	Biblioteca esttica para libPropList
Summary(pl):	Biblioteka statyczna libPropList
Summary(pt_BR):	Biblioteca esttica para o libPropList
Summary(ru):	   libPropLis
Summary(uk):	Φ ¦̦  libPropLis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains static version of libPropList library.

%description static -l es
Biblioteca esttica para libPropList.

%description static -l pl
Ten pakiet zawiera statyczn wersj biblioteki libPropList.

%description static -l pt_BR
Biblioteca esttica para o libPropList.

%description static -l ru
     libPropList.

%description static -l uk
  ͦ Φ ¦̦ libPropList.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libPropList.spec,v $
Revision 1.47  2003/12/01 02:01:38  undefine
- release 12 to rebuild with ac

Revision 1.46  2003/10/28 20:38:28  qboosh
- removed bogus descriptions, fixed/tried to fix some others

Revision 1.45  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.44  2003/07/03 14:05:02  qboosh
- removed default _prefix definition, other cleanups

Revision 1.43  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/08/17 13:26:01  kloczek
- release 11: use new %doc.

Revision 1.38  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/04/23 17:18:12  kloczek
- release 10: merge translations from KSI and Conectiva.

Revision 1.35  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/08/15 22:46:03  kloczek
- release 9,
- make spec ac 2.5x ready,
- spec adapterized.

Revision 1.30  2001/02/07 23:05:09  kloczek
- adapterized.

Revision 1.29  2001/02/07 22:57:21  misiek
release 8. rebuild with glibc 2.2

Revision 1.28  2000/10/23 21:25:38  kloczek
- release 7: use new rpm automation.

Revision 1.27  2000/07/04 03:21:48  kloczek
- bump release to 3.

Revision 1.26  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/05/04 08:44:32  kloczek
- updated to 0.10.1.

Revision 1.23  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/31 03:40:26  kloczek
- updated to 0.10.0.

Revision 1.21  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.20  2000/03/01 13:11:03  kloczek
- spec adapterized.

Revision 1.19  2000/03/01 11:28:01  wiget
- install in %{_prefix} (this not depend to Xlib and bros.)

Revision 1.18  1999/10/06 21:31:16  kloczek
- updated to 0.9.1,
- new Summary and %description from Rayan Weaver spec file.

Revision 1.17  1999/10/04 17:42:11  kloczek
- updated to 0.9.0,
-added using %%configure macro,
- all %doc moved to devel,
- added lib*.la to devel.

Revision 1.16  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.8.3-5]
- spec written by Artur Frysiak <wiget@usa.net> modified by me an Micha
  Kuratczyk <kura@pld.org.pl>,
- package is FHS 2.0 compliant.
